#include <FontWriter/font_writer.hpp>
#include <stdio.h>

namespace JabyEngine {
    struct DoubleBuffer {
        // Hooks?
        FontBufferInfo prim_buffer;

        static constexpr DoubleBuffer empty() {
            return DoubleBuffer{.prim_buffer = FontBufferInfo::empty()};
        }

        void setup(const FontBufferInfo& buffer_info) {
            this->prim_buffer = buffer_info;
        }
    };

    static auto double_buffer = DoubleBuffer::empty();

    void FontWriter :: setup(const FontBufferInfo& buffer_info, SimpleTIM vram_dst, const FontInfo& font_info) {
        double_buffer.setup(buffer_info);
        
        printf("Hello Planschi c:\n");
    }
}